import React from 'react';
import './styles/square.css';

//import 样式未生效，问题查找中，暂且定义行内样式
const style = {
    width: '34px',
    height: '34px',
    border: '1px solid #999',
    fontSize: '24px',
    fontWeight: 'bold',
    lineHeight: '34px',
    marginTop: '-1px',
    marginRight: '-1px',
    padding: '0',
    textAlign: 'center',
    background: '#fff',
}
const Square = (props) => {
  return (
    <button
      style={style}
      className="square"
      onClick={props.onClick}
    >
      {props.value}
    </button>
  );
};

Square.propTypes = {
};

export default Square;
